#include <bits/stdc++.h>
using namespace std;
long long T,ucenici,bananice,grupe,niz[1005],ostatak,suma;
int main(){
    cin>>T;
    while(T--){
        cin>>ucenici>>bananice>>grupe;
       /*/ ostatak=ucenici%grupe;
        for(int i=1; i<=grupe; i++){
            niz[i]=ucenici/grupe;
            for(int j=1; j<=ostatak; j++){
                niz[j]+=1;
            }
        }
        /*/
        suma=((ucenici/grupe)*((ucenici/grupe)+1))/2*grupe+(ucenici%grupe)*((ucenici/grupe)+1);
        if(suma<=bananice){
            cout<<"Tak"<<endl;
        }
        else{
            cout<<"Nie"<<endl;
        }
    }
    return 0;
}